%define	name	bw-whois
%define	version	2.9
%define	release	1
%define	prefix	/usr

Summary:	Perl based replacement for whois.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	Perl Like (See COPYRIGHT)
Group:		Applications/Internet
URL:		http://bw.org/whois
Vendor:		Bill E. Weinman
Source:		http://bw.org/whois/whois-current.tgz
BuildRoot:	/var/tmp/%{name}-%{version}
BuildArch:	noarch

%description
Designed to work with the new-mangled whois system introduced 1 Dec 1999.

Under the new domain-name regime the whois system is now distributed 
amongst the various domain-police^H^H^H^H^H^H^H^H^H^H registrars, thereby 
requiring that we make at least two separate requests (to two separate 
servers) for each whois record. 

This program will first go to the "root" whois server and ask for a record. 
If found, the root server will tell us where to go get the actual record, and 
then we go get it. 

* Installing as bw-whois so that it will not conflict with other
* whois clients. ( Simply 'ln -s bw-whois %{prefix}/bin/whois'
* if you whish to use this one as default. )

%prep
%setup -q -n whois-%{version}

%build

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/etc \
	 $RPM_BUILD_ROOT%{prefix}/bin \
	 $RPM_BUILD_ROOT%{prefix}/man/man1

install -m 644 tld.conf	$RPM_BUILD_ROOT/etc
install -m 755 whois	$RPM_BUILD_ROOT%{prefix}/bin/bw-whois
install -m 644 whois.1	$RPM_BUILD_ROOT%{prefix}/man/man1/bw-whois.1

gzip -9 $RPM_BUILD_ROOT%{prefix}/man/man1/bw-whois.1

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc COPYRIGHT DISCLAIMER HISTORY INSTALL README whois.html whois.txt
%config /etc/tld.conf
%{prefix}/bin/bw-whois
%{prefix}/man/man1/bw-whois.1.gz

%changelog
* Wed Oct 31 2001 Rudi Heitbaum <rudi@darx.com>
  [bw-whois-2.9-1]
- IIS/5.0 is incompatible with <STDIN> method of reading POST results.
  Thanks to Dean Rath <wrath@sel-net.net> for the fix.
- changed "connecting ... " message to print when not verbose test for
  name-server requests and return the root-server record.
  thanks to Marcel <mars9820@yahoo.com> for the suggestion
- updated tld.conf for APNIC region APNIC no longer supports domain
  whois. Added individual registrars for .cn, .tw, .kr, and .hk.
- unpacking of packed IP addresses only valid for values greater
  than 2^24 (16,777,216)
- -h didn't work with IP numbers

* Sat Dec 23 2000 Rudi Heitbaum <rudi@darx.com>
  [bw-whois-2.8-1]

* Tue Apr 12 2000 Ryan Weaver <ryanw@infohwy.com>
  [bw-whois-2.5-1]
- split out the documentation into a man page and this HISTORY file
- bugfix -- another NETBLK referrals bugfix, the last one broke
  the referral mechanism entirely. This one works right again. 
- improved the error reporting for the connection to the whois server
- added support for ports other than whois(43). Use --port or 
  request@host:port. Port names (via /etc/services) or numbers are supported. 
- added support for alternate location of tld.conf via --tld or 
  BW_WHOIS="tld=/other/location/tld.conf"

* Fri Mar 17 2000 Ryan Weaver <ryanw@infohwy.com>
- Installing as bw-whois so that it will not conflict with other
  whois clients. ( Simply 'ln -s bw-whois %{prefix}/bin/whois'
  if you whish to use this one as default. )

  [bw-whois-2.3-1]
- bugfix -- ARIN changed their whois display in a manner broke my
  referral-detection. I've added a new exception for whois.nic.mil. 
- add environment variable support. 
  BW_WHOIS="stripheader" to default to strip headers
  BW_WHOIS="quiet" to default to quiet mode
  BW_WHOIS="stripheader:quiet" for both
- CGI mode: attempt to build a reasonable link to related records
  (e.g. NIC handles) Note: this feature uses the RFC-954 "!" syntax to 
  look up the handle. Not all registrars support this. 

  [bw-whois-2.21-1]
- bugfix -- uninitialized variable bug

  [bw-whois-2.2-1]
- bugfix: all-numeric addresses were still tested for TLD
- add support for multiple domain names on the command line.
  Thanks to Paul Vincent <paul@anglia-web.co.uk> for suggesting this feature
- generalized the stripheader option
- added support for netblock references (e.g. RIPE, APNIC)

* Wed Jan 12 2000 Ryan Weaver <ryanw@infohwy.com>
- Initial RPM Build.
  [bw-whois-2.1-1]
- added support for optional TLD table at /etc/tld.conf

  [bw-whois-2.0-1]
- first public release of the 2.0 version
- rewrote and cleaned up a whole bunch of stuff
- added CGI support

